# Class Tags

#### Hierarchy (View Summary)

- Fluent < Tag , this>
  - Tags

- Defined in packages/util/src/Tags.ts:32

#####
Index

### Constructors

constructor

### Properties

append
concat
count
drop
every
exists
filter
find
first
flatMap
forEach
has
join
keep
last
map
mapTo
nth
prepend
reject
set
slice
some
take
uniq
valueOf
without
xs

### Methods

addImages
addIMeta
addTag
ancestors
asObject
clone
entries
filterByKey
filterByValue
get
imeta
keys
mentions
parent
parents
rejectByKey
rejectByValue
relays
removeImages
removeIMeta
replies
reply
root
roots
setImages
setIMeta
setTag
topics
unwrap
values
whereKey
whereValue
create
from
fromEvent
fromEvents
fromIMeta
wrap

##
Constructors

### constructor

- new Tags(...args: [xs: Tag []]): Tags

- #### Parameters

  - ...args: [xs: Tag []]

  #### Returns Tags

  Inherited from Fluent.constructor

  - Defined in packages/lib/build/src/Tools.d.ts:124

##
Properties

### append

append: (x: Tag ) => this

Inherited from Fluent.append

- Defined in packages/lib/build/src/Fluent.d.ts:32

### concat

concat: (xs: Tag []) => this

Inherited from Fluent.concat

- Defined in packages/lib/build/src/Fluent.d.ts:31

### count

count: () => number

Inherited from Fluent.count

- Defined in packages/lib/build/src/Fluent.d.ts:11

### drop

drop: (n: number) => this

Inherited from Fluent.drop

- Defined in packages/lib/build/src/Fluent.d.ts:20

### every

every: (f: (t: Tag ) => boolean) => boolean

Inherited from Fluent.every

- Defined in packages/lib/build/src/Fluent.d.ts:14

### exists

exists: () => boolean

Inherited from Fluent.exists

- Defined in packages/lib/build/src/Fluent.d.ts:12

### filter

filter: (f: (t: Tag ) => boolean) => this

Inherited from Fluent.filter

- Defined in packages/lib/build/src/Fluent.d.ts:21

### find

find: (f: (t: Tag ) => boolean) => undefined | Tag

Inherited from Fluent.find

- Defined in packages/lib/build/src/Fluent.d.ts:16

### first

first: () => Tag

Inherited from Fluent.first

- Defined in packages/lib/build/src/Fluent.d.ts:8

### flatMap

flatMap: < U >(f: (t: Tag ) => U []) => Fluent < U >

Inherited from Fluent.flatMap

- Defined in packages/lib/build/src/Fluent.d.ts:27

### forEach

forEach: (f: (t: Tag , i: number) => void) => void

Inherited from Fluent.forEach

- Defined in packages/lib/build/src/Fluent.d.ts:28

### has

has: (v: Tag ) => boolean

Inherited from Fluent.has

- Defined in packages/lib/build/src/Fluent.d.ts:13

### join

join: (s: string) => string

Inherited from Fluent.join

- Defined in packages/lib/build/src/Fluent.d.ts:29

### keep

keep: (xs: Tag []) => this

Inherited from Fluent.keep

- Defined in packages/lib/build/src/Fluent.d.ts:23

### last

last: () => Tag

Inherited from Fluent.last

- Defined in packages/lib/build/src/Fluent.d.ts:10

### map

map: (f: (t: Tag ) => Tag ) => this

Inherited from Fluent.map

- Defined in packages/lib/build/src/Fluent.d.ts:25

### mapTo

mapTo: < U >(f: (t: Tag ) => U ) => Fluent < U >

Inherited from Fluent.mapTo

- Defined in packages/lib/build/src/Fluent.d.ts:26

### nth

nth: (i: number) => Tag

Inherited from Fluent.nth

- Defined in packages/lib/build/src/Fluent.d.ts:9

### prepend

prepend: (x: Tag ) => this

Inherited from Fluent.prepend

- Defined in packages/lib/build/src/Fluent.d.ts:33

### reject

reject: (f: (t: Tag ) => boolean) => this

Inherited from Fluent.reject

- Defined in packages/lib/build/src/Fluent.d.ts:22

### set

set: (i: number, x: Tag ) => this

Inherited from Fluent.set

- Defined in packages/lib/build/src/Fluent.d.ts:30

### slice

slice: (a: number, b?: number) => this

Inherited from Fluent.slice

- Defined in packages/lib/build/src/Fluent.d.ts:18

### some

some: (f: (t: Tag ) => boolean) => boolean

Inherited from Fluent.some

- Defined in packages/lib/build/src/Fluent.d.ts:15

### take

take: (n: number) => this

Inherited from Fluent.take

- Defined in packages/lib/build/src/Fluent.d.ts:19

### uniq

uniq: () => this

Inherited from Fluent.uniq

- Defined in packages/lib/build/src/Fluent.d.ts:17

### valueOf

valueOf: () => Tag []

Inherited from Fluent.valueOf

- Defined in packages/lib/build/src/Fluent.d.ts:7

### without

without: (xs: Tag []) => this

Inherited from Fluent.without

- Defined in packages/lib/build/src/Fluent.d.ts:24

### `Readonly` xs

xs: Tag []

Inherited from Fluent.xs

- Defined in packages/lib/build/src/Fluent.d.ts:2

##
Methods

### addImages

- addImages(imeta: Tags []): Tags

- #### Parameters

  - imeta: Tags []

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:149

### addIMeta

- addIMeta(imeta: Tags []): Tags

- #### Parameters

  - imeta: Tags []

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:158

### addTag

- addTag(...args: string[]): Tags

- #### Parameters

  - ...args: string[]

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:143

### ancestors

- ancestors(x?: boolean): { mentions: Tags ; replies: Tags ; roots: Tags }

- #### Parameters

  - `Optional` x: boolean

  #### Returns { mentions: Tags ; replies: Tags ; roots: Tags }

  - Defined in packages/util/src/Tags.ts:79

### asObject

- asObject(): Record<string, string>

- #### Returns Record<string, string>

  - Defined in packages/util/src/Tags.ts:119

### clone

- clone< K extends Fluent < Tag >>(this: K , xs: Tag []): K

- #### Type Parameters

  - K extends Fluent < Tag >

  #### Parameters

  - this: K
  - xs: Tag []

  #### Returns K

  Inherited from Fluent.clone

  - Defined in packages/lib/build/src/Fluent.d.ts:6

### entries

- entries(): Fluent <string[]>

- #### Returns Fluent <string[]>

  - Defined in packages/util/src/Tags.ts:64

### filterByKey

- filterByKey(keys: string[]): Tags

- #### Parameters

  - keys: string[]

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:49

### filterByValue

- filterByValue(values: string[]): Tags

- #### Parameters

  - values: string[]

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:51

### get

- get(key: string): Tag

- #### Parameters

  - key: string

  #### Returns Tag

  - Defined in packages/util/src/Tags.ts:57

### imeta

- imeta(url: string): null | Tags

- #### Parameters

  - url: string

  #### Returns null | Tags

  - Defined in packages/util/src/Tags.ts:129

### keys

- keys(): Fluent <string>

- #### Returns Fluent <string>

  - Defined in packages/util/src/Tags.ts:59

### mentions

- mentions(): Tags

- #### Returns Tags

  - Defined in packages/util/src/Tags.ts:93

### parent

- parent(): Tag

- #### Returns Tag

  - Defined in packages/util/src/Tags.ts:113

### parents

- parents(): Tags

- #### Returns Tags

  - Defined in packages/util/src/Tags.ts:107

### rejectByKey

- rejectByKey(keys: string[]): Tags

- #### Parameters

  - keys: string[]

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:53

### rejectByValue

- rejectByValue(values: string[]): Tags

- #### Parameters

  - values: string[]

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:55

### relays

- relays(): Fluent <string>

- #### Returns Fluent <string>

  - Defined in packages/util/src/Tags.ts:66

### removeImages

- removeImages(): Tags

- #### Returns Tags

  - Defined in packages/util/src/Tags.ts:152

### removeIMeta

- removeIMeta(): Tags

- #### Returns Tags

  - Defined in packages/util/src/Tags.ts:161

### replies

- replies(): Tags

- #### Returns Tags

  - Defined in packages/util/src/Tags.ts:91

### reply

- reply(): Tag

- #### Returns Tag

  - Defined in packages/util/src/Tags.ts:101

### root

- root(): Tag

- #### Returns Tag

  - Defined in packages/util/src/Tags.ts:95

### roots

- roots(): Tags

- #### Returns Tags

  - Defined in packages/util/src/Tags.ts:89

### setImages

- setImages(imeta: Tags []): Tags

- #### Parameters

  - imeta: Tags []

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:154

### setIMeta

- setIMeta(imeta: Tags []): Tags

- #### Parameters

  - imeta: Tags []

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:163

### setTag

- setTag(k: string, ...args: string[]): Tags

- #### Parameters

  - k: string
  - ...args: string[]

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:145

### topics

- topics(): Fluent <string>

- #### Returns Fluent <string>

  - Defined in packages/util/src/Tags.ts:74

### unwrap

- unwrap(): string[][]

- #### Returns string[][]

  - Defined in packages/util/src/Tags.ts:43

### values

- values(key?: string | string[]): Fluent <string>

- #### Parameters

  - `Optional` key: string | string[]

  #### Returns Fluent <string>

  - Defined in packages/util/src/Tags.ts:61

### whereKey

- whereKey(key: string): Tags

- #### Parameters

  - key: string

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:45

### whereValue

- whereValue(value: string): Tags

- #### Parameters

  - value: string

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:47

### `Static` create

- create(): Fluent <never>

- #### Returns Fluent <never>

  Inherited from Fluent.create

  - Defined in packages/lib/build/src/Fluent.d.ts:4

### `Static` from

- from(p: Iterable< Tag >): Tags

- #### Parameters

  - p: Iterable< Tag >

  #### Returns Tags

  Inherited from Fluent.from

  - Defined in packages/util/src/Tags.ts:33

### `Static` fromEvent

- fromEvent(event: { tags: string[][] }): Tags

- #### Parameters

  - event: { tags: string[][] }

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:37

### `Static` fromEvents

- fromEvents(events: { tags: string[][] }[]): Tags

- #### Parameters

  - events: { tags: string[][] }[]

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:39

### `Static` fromIMeta

- fromIMeta(imeta: string[]): Tags

- #### Parameters

  - imeta: string[]

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:41

### `Static` wrap

- wrap(p: Iterable<string[]>): Tags

- #### Parameters

  - p: Iterable<string[]>

  #### Returns Tags

  - Defined in packages/util/src/Tags.ts:35